DROP USER(7)

NAME
DROP USER - remove a database user account

SYNOPSIS

DROP USER name

  INPUTS

name
    The name of an existing user.

  OUTPUTS

DROP USER
    The message returned if the user is successfully deleted.

ERROR: DROP USER: user "name" does not exist
    This message occurs if the user name is not found.

DROP USER: user "name" owns database "name", cannot be removed
    You must drop the database first or change its ownership.

DESCRIPTION

DROP USER removes the specified user from the database. It does not remove tables, views, or other objects owned by the user. If the user owns any database you get an error.

Use CREATE USER [create_user(7)] to add new users, and ALTER USER [alter_user(7)] to change a user's properties. PostgreSQL comes with a script dropuser [dropuser(1)] which has the same functionality as this command (in fact, it calls this command) but can be run from the command shell.

USAGE

To drop a user account:

DROP USER jonathan;

COMPATIBILITY

  SQL92

There is no DROP USER in SQL92.